osl::PtypeTraits< ROOK > Struct Reference

`#include <ptypeTraits.h>`

## Static Public Member Functions

static const char * | name ()
static const char * | csaName ()

## Static Public Attributes

static const bool | isBasic =true
static const bool | canPromote =true
static const bool | betterToPromote =true
static const Ptype | moveType =ROOK
static const Ptype | basicType =ROOK
static const int | indexMin =38
static const int | indexLimit =40
static const int | dropBlackFromY =1
static const int | dropBlackToY =9
static const int | mayPromoteToY =9
static const int | moveMask

## Detailed Description

Definition at line 229 of file ptypeTraits.h.

## Member Function Documentation

## csaName()

const char * osl::PtypeTraits< ROOK >::csaName | ( |  | ) |

inline static

Definition at line 237 of file ptypeTraits.h.

## name()

const char * osl::PtypeTraits< ROOK >::name | ( |  | ) |

inline static

Definition at line 236 of file ptypeTraits.h.

## Member Data Documentation

## basicType

const Ptype osl::PtypeTraits< ROOK >::basicType =ROOK

static

Definition at line 235 of file ptypeTraits.h.

## betterToPromote

const bool osl::PtypeTraits< ROOK >::betterToPromote =true

static

Definition at line 233 of file ptypeTraits.h.

## canPromote

const bool osl::PtypeTraits< ROOK >::canPromote =true

static

Definition at line 232 of file ptypeTraits.h.

## dropBlackFromY

const int osl::PtypeTraits< ROOK >::dropBlackFromY =1

static

Definition at line 240 of file ptypeTraits.h.

## dropBlackToY

const int osl::PtypeTraits< ROOK >::dropBlackToY =9

static

Definition at line 241 of file ptypeTraits.h.

## indexLimit

const int osl::PtypeTraits< ROOK >::indexLimit =40

static

Definition at line 239 of file ptypeTraits.h.

## indexMin

const int osl::PtypeTraits< ROOK >::indexMin =38

static

Definition at line 238 of file ptypeTraits.h.

## isBasic

const bool osl::PtypeTraits< ROOK >::isBasic =true

static

Definition at line 231 of file ptypeTraits.h.

## mayPromoteToY

const int osl::PtypeTraits< ROOK >::mayPromoteToY =9

static

Definition at line 242 of file ptypeTraits.h.

## moveMask

const int osl::PtypeTraits< ROOK >::moveMask

static

Initial value:
=
DirectionTraits<LONG_U>::mask|DirectionTraits<LONG_L>::mask
|DirectionTraits<LONG_R>::mask|DirectionTraits<LONG_D>::mask
osl::DirectionTraits::mask
static const unsigned int mask
Definition directionTraits.h:227

Definition at line 243 of file ptypeTraits.h.

## moveType

const Ptype osl::PtypeTraits< ROOK >::moveType =ROOK

static

Definition at line 234 of file ptypeTraits.h.

The documentation for this struct was generated from the following file:

- ptypeTraits.h